AbstractPlugin (WHN Manager CL 1.0.0-SNAPSHOT API)
Date: 2015-03-31

org.gcube.common.vremanagement.whnmanager.client.plugins

## Class AbstractPlugin<S,P>

- java.lang.Object
- - org.gcube.common.vremanagement.whnmanager.client.plugins.AbstractPlugin<S,P>

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>, org.gcube.common.clients.Plugin<S,P>
  Direct Known Subclasses:
    WHNManagerServicePlugin

      public abstract class AbstractPlugin<S,P>
      extends Object
      implements org.gcube.common.clients.Plugin<S,P>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPlugin(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()`
    `String` | `namespace()`
    `String` | `serviceClass()`
    `String` | `serviceName()`
    `static org.gcube.common.clients.ProxyBuilder<WHNManagerProxy>` | `whnmanager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.common.clients.delegates.ProxyPlugin

      `convert, newProxy, resolve`

- - ### Field Detail

    - #### name

          public final String name

  - ### Constructor Detail

    - #### AbstractPlugin

          public AbstractPlugin(String name)

  - ### Method Detail

    - #### whnmanager

          public static org.gcube.common.clients.ProxyBuilder<WHNManagerProxy> whnmanager()

    - #### serviceClass

          public String serviceClass()

      Specified by:
        `serviceClass` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### serviceName

          public String serviceName()

      Specified by:
        `serviceName` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### namespace

          public String namespace()

      Specified by:
        `namespace` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### name

          public String name()

      Specified by:
        `name` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

Copyright © 2015. All Rights Reserved.